

//void main() {
	//gl_FragColor = v_color;
//}
#ifdef GL_ES
precision mediump float;
#endif

//uniform sampler2D u_texture;
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;
varying vec4 v_color;
uniform float ddx;
uniform direction;
void main(void) {
	vec4 col;
    float x;
    float y;
    vec2 center;
    float angle;
    float dist;
	float newx=v_texCoord.x-ddx;
	if (newx<=0.0) {
		newx=newx+1.0;
	}
   
    if (direction==1){
     	center=vec2(1.0-v_texCoord.x,1.0-v_texCoord.y);
    }
    else{
    	center=vec2(1.0-v_texCoord.x,v_texCoord.y);
    }
   
    dist=sqrt( center.x*center.x+center.y*center.y);
    if (direction==1 || direction==2){
        if (dist<=1.0) {
            angle=90.0 - degrees( atan(center.y/center.x ));
            x=1.0-angle/90.0-ddx;
            y=dist;
            if (x<0.0){
            	x=x+1.0;
            }
            col=texture2D(CC_Texture0, vec2(x,y));
        }
        else{
            col=vec4(0,0,0,0);
        }
    }
    else{
         col= texture2D(CC_Texture0, vec2(newx,v_texCoord.y));
    }
    gl_FragColor =col;
}
